#VU60372 Time-of-check Time-of-use (TOCTOU) Race Condition


Published: 2022-02-08

Vulnerability identifier: #VU60372

Vulnerability risk: Low

CVSSv3.1: 7.7 [CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C]

CVE-ID: CVE-2022-22753

CWE-ID: CWE-367

Exploitation vector: Local

Exploit availability: No

Vulnerable software:
Mozilla Firefox
Client/Desktop applications / Web browsers
Firefox ESR
Client/Desktop applications / Web browsers

Vendor: Mozilla

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a race condition in the Maintenance (Updater) Service. A local unprivileged user can grant Users write access to an arbitrary directory on the system and execute arbitrary code with SYSTEM privileges.

Note, the vulnerability affects Windows installations only.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Mozilla Firefox: 70.0 - 96.0.3

Firefox ESR: 91.0 - 91.5.1, 78.0 - 78.15.0


CPE

External links
http://www.mozilla.org/en-US/security/advisories/mfsa2022-04/
http://www.mozilla.org/en-US/security/advisories/mfsa2022-05/


Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability